---
- hosts: jails
  roles:
    - role: jails
    - role: filebeat

- hosts: dns
  roles:
    - role: unbound

- hosts: fakemail
  roles:
    - role: mailhog

- hosts: db
  roles:
    - role: postgres
    - role: pgadmin4

- hosts: rss
  roles:
    - role: miniflux

- hosts: proxy
  roles:
    - role: caddy

- hosts: logs
  roles:
    - role: supervisor
    - role: elasticsearch
    - role: kibana

- hosts: pbp
  roles:
    - role: supervisor
    - role: pbp

- hosts: fifteenfive
  roles:
    - role: supervisor
    - role: syncthing
    - role: nginx
    - role: fifteen5

- hosts: search
  roles:
    - role: searx

- hosts: wx
  roles:
    - role: nginx
    - role: weewx

- hosts: git
  roles:
    - role: gogs

- hosts: photos
  roles:
    - role: nginx
    - role: immortal
    - role: photoview

- hosts: mail
  roles:
    - role: muchsync

- hosts: matrix
  roles:
    - role: nginx
    - role: matrix

- hosts: geoloc
  roles:
    - role: nginx
    - role: hauk

- hosts: podcasts
  roles:
    - role: podgrab

- hosts: play
  roles:
    - role: mopidy

- hosts: pastebin
  roles:
    - role: 0bin

- hosts: cache
  roles:
    - role: redis

- hosts: kibana
  roles:
    - role: logstash
    - role: kibana

- hosts: logging
  roles:
    - role: logstash

- hosts: elastic
  roles:
    - role: elasticsearch

- hosts: meet
  roles:
    - role: galene

- hosts: s3
  roles:
    - role: minio

- hosts: media
  roles:
    - role: jellyfin

- hosts: consul-nodes-dc1
  roles:
    - role: dnsmasq
    - role: consul
    - role: nomad

- hosts: consul-nodes-dc2
  roles:
    - role: dnsmasq
    - role: consul
    - role: nomad

- hosts: nomad-agents-dc1
  roles:
    - role: dnsmasq
    - role: nomad-agent

- hosts: nomad-agents-dc2
  roles:
    - role: dnsmasq
    - role: nomad-agent

- hosts: timelapse
  roles:
    - role: nginx
    - role: timelapse

- hosts: recipes
  roles:
    - role: immortal
    - role: nginx
    - role: tandoor

- hosts: test
  roles:
    - role: jails
    - role: grafana
    - role: loki
    - role: nginx
    - role: galene
    - role: searx
    - role: minio
    - role: elasticsearch
    - role: redis
    - role: 0bin
    - role: podgrab
    - role: matrix
    - role: gogs
    - role: weewx
    - role: mailhog
    - role: unbound
    - role: postgres
    - role: pgadmin4
